export declare class BitbucketServerApi {
    private readonly serverURL;
    private readonly username;
    private readonly password;
    constructor(inputs: any);
    getRepo(repo: any): Promise<any>;
    getBranch(repo: any, branch: any): Promise<any>;
    getPullRequests(repo: any, branch: any): Promise<any>;
    getCommitsInfo(repo: any, pr: any): Promise<{
        committers: unknown[];
        commits: unknown[];
        firstCommitDate: any;
        lastCommitDate: any;
    } | null>;
    _sendGetRequest(uri: any): Promise<any>;
    _buildCommitUrl(workspace: any, repoSlug: any, commitId: any): string | undefined;
    _getRepoSlugAndWorkspaceFromRepo(repo: any): any;
    _withPersonalWorkspaceFallback(cb: any, workspace: any): Promise<any>;
}
//# sourceMappingURL=bitbucket-server.api.d.ts.map